com.aispeech.dui.dsk.duiwidget

## Class TextWidget

- java.lang.Object
- - com.aispeech.dui.dsk.duiwidget.DuiWidget
  - - com.aispeech.dui.dsk.duiwidget.TextWidget

-     public class TextWidget
      extends DuiWidget

  文本控件类, 用来显示文本卡片

- - ### Field Summary

    - ### Fields inherited from class com.aispeech.dui.dsk.duiwidget.DuiWidget

      `TYPE_CONTENT, TYPE_LIST, TYPE_MEDIA, TYPE_TEXT, TYPE_WEB, WIDGET_EXTRA, WIDGET_IMAGEURL, WIDGET_LABEL, WIDGET_LINKURL, WIDGET_SUBTITLE, WIDGET_TEXT, WIDGET_TITLE, WIDGET_URL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextWidget()` TextWidget构造方法

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextWidget` | `addExtra(java.lang.String key, java.lang.String value)` 增加自定义参数的k,v对
    `TextWidget` | `setText(java.lang.String text)` 设置输出文本

    - ### Methods inherited from class com.aispeech.dui.dsk.duiwidget.DuiWidget

      `addContent, addExtra, addWidget, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TextWidget

          public TextWidget()

      TextWidget构造方法

  - ### Method Detail

    - #### setText

          public TextWidget setText(java.lang.String text)

      设置输出文本
      Parameters:
        `text` - 输出文本
      Returns:
        TextWidget TextWidget实例

    - #### addExtra

          public TextWidget addExtra(java.lang.String key,
                                     java.lang.String value)

      增加自定义参数的k,v对
      Overrides:
        `addExtra` in class `DuiWidget`
      Parameters:
        `key` - 键
        `value` - 值
      Returns:
        TextWidget TextWidget实例